// document.addEventListener("DOMContentLoaded", function() {


// });

jQuery(document).ready(function($) {

    var speedBtn = document.getElementById('homeSpeedButton');
    if (speedBtn) {
        speedBtn.addEventListener('click', getSpeed);
    }


    function getSpeed() {
        const domainNameEl  = document.getElementById('domainNameField');

        if (!domainNameEl.value) {
            return alert('Please enter a domain');
        }

        var data = {
            'action': 'get_speed_results',
            'domain': domainNameEl.value
        };

        $.post(ajax_url, data, function(response) {
            console.log( response );
        }, 'json');
    }

});



// $(document).ready(function () {

//



// (function ($) {

//
//
//      {
//         var data = {
//             'action': 'get_speed_results',
//             'post_type': 'POST',
//             'name': 'My First AJAX Request'
//         };
//
//         jQuery.post("", data, function(response) {
//             console.log( response );
//         }, 'json');
//

// //
//     var xhttp = new XMLHttpRequest();
//     xhttp.open("POST", ``, true);
//     xhttp.send(JSON.stringify(data));
// //     xhttp.onreadystatechange = function() {
// //         console.log(this.responseText);
// //         // if (this.readyState === 4 && this.status === 200) {
// //             // document.getElementById("demo").innerHTML =
// //             //     this.responseText;
// //         // }
// //     };
// //     // http://176.31.196.92:30001/google.com/2019-12-18T142721+0000/pages/google.com/data/screenshots/1.jpg
//
// //     xhttp.setRequestHeader('Content-type', 'application/json');
//
//     }
// })(jQuery);
